diff --git a/llvm/test/MC/X86/x86-64-avx512f_vl.s b/llvm/test/MC/X86/x86-64-avx512f_vl.s
index 4899086cd41..d41f15ad83d 100644
--- a/llvm/test/MC/X86/x86-64-avx512f_vl.s
+++ b/llvm/test/MC/X86/x86-64-avx512f_vl.s
@@ -18176,114 +18817,434 @@ vaddpd  {rz-sae}, %zmm2, %zmm1, %zmm1
 // CHECK:  encoding: [0x62,0x21,0xfd,0x08,0xe6,0xef]
           vcvttpd2dq %xmm23, %xmm29
 
+// CHECK: vcvttpd2dq %xmm23, %xmm29
+// CHECK:  encoding: [0x62,0x21,0xfd,0x08,0xe6,0xef]
+          vcvttpd2dqx %xmm23, %xmm29
+
 // CHECK: vcvttpd2dq %xmm23, %xmm29 {%k6}
 // CHECK:  encoding: [0x62,0x21,0xfd,0x0e,0xe6,0xef]
           vcvttpd2dq %xmm23, %xmm29 {%k6}
 
+// CHECK: vcvttpd2dq %xmm23, %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x21,0xfd,0x0e,0xe6,0xef]
+          vcvttpd2dqx %xmm23, %xmm29 {%k6}
+
 // CHECK: vcvttpd2dq %xmm23, %xmm29 {%k6} {z}
 // CHECK:  encoding: [0x62,0x21,0xfd,0x8e,0xe6,0xef]
           vcvttpd2dq %xmm23, %xmm29 {%k6} {z}
 
+// CHECK: vcvttpd2dq %xmm23, %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x21,0xfd,0x8e,0xe6,0xef]
+          vcvttpd2dqx %xmm23, %xmm29 {%k6} {z}
+
 // CHECK: vcvttpd2dqx (%rcx), %xmm29
 // CHECK:  encoding: [0x62,0x61,0xfd,0x08,0xe6,0x29]
           vcvttpd2dqx (%rcx), %xmm29
 
+// CHECK: vcvttpd2dqx (%rcx), %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x0e,0xe6,0x29]
+          vcvttpd2dqx (%rcx), %xmm29 {%k6}
+
+// CHECK: vcvttpd2dqx (%rcx), %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x8e,0xe6,0x29]
+          vcvttpd2dqx (%rcx), %xmm29 {%k6} {z}
+
 // CHECK: vcvttpd2dqx 291(%rax,%r14,8), %xmm29
 // CHECK:  encoding: [0x62,0x21,0xfd,0x08,0xe6,0xac,0xf0,0x23,0x01,0x00,0x00]
           vcvttpd2dqx 291(%rax,%r14,8), %xmm29
 
+// CHECK: vcvttpd2dqx 291(%rax,%r14,8), %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x21,0xfd,0x0e,0xe6,0xac,0xf0,0x23,0x01,0x00,0x00]
+          vcvttpd2dqx 291(%rax,%r14,8), %xmm29 {%k6}
+
+// CHECK: vcvttpd2dqx 291(%rax,%r14,8), %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x21,0xfd,0x8e,0xe6,0xac,0xf0,0x23,0x01,0x00,0x00]
+          vcvttpd2dqx 291(%rax,%r14,8), %xmm29 {%k6} {z}
+
 // CHECK: vcvttpd2dq (%rcx){1to2}, %xmm29
 // CHECK:  encoding: [0x62,0x61,0xfd,0x18,0xe6,0x29]
           vcvttpd2dq (%rcx){1to2}, %xmm29
 
+// CHECK: vcvttpd2dq (%rcx){1to2}, %xmm29
+// CHECK:  encoding: [0x62,0x61,0xfd,0x18,0xe6,0x29]
+          vcvttpd2dqx (%rcx){1to2}, %xmm29
+
+// CHECK: vcvttpd2dq (%rcx){1to2}, %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x1e,0xe6,0x29]
+          vcvttpd2dq (%rcx){1to2}, %xmm29 {%k6}
+
+// CHECK: vcvttpd2dq (%rcx){1to2}, %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x1e,0xe6,0x29]
+          vcvttpd2dqx (%rcx){1to2}, %xmm29 {%k6}
+
+// CHECK: vcvttpd2dq (%rcx){1to2}, %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x9e,0xe6,0x29]
+          vcvttpd2dq (%rcx){1to2}, %xmm29 {%k6} {z}
+
+// CHECK: vcvttpd2dq (%rcx){1to2}, %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x9e,0xe6,0x29]
+          vcvttpd2dqx (%rcx){1to2}, %xmm29 {%k6} {z}
+
 // CHECK: vcvttpd2dqx 2032(%rdx), %xmm29
 // CHECK:  encoding: [0x62,0x61,0xfd,0x08,0xe6,0x6a,0x7f]
           vcvttpd2dqx 2032(%rdx), %xmm29
 
+// CHECK: vcvttpd2dqx 2032(%rdx), %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x0e,0xe6,0x6a,0x7f]
+          vcvttpd2dqx 2032(%rdx), %xmm29 {%k6}
+
+// CHECK: vcvttpd2dqx 2032(%rdx), %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x8e,0xe6,0x6a,0x7f]
+          vcvttpd2dqx 2032(%rdx), %xmm29 {%k6} {z}
+
 // CHECK: vcvttpd2dqx 2048(%rdx), %xmm29
 // CHECK:  encoding: [0x62,0x61,0xfd,0x08,0xe6,0xaa,0x00,0x08,0x00,0x00]
           vcvttpd2dqx 2048(%rdx), %xmm29
 
+// CHECK: vcvttpd2dqx 2048(%rdx), %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x0e,0xe6,0xaa,0x00,0x08,0x00,0x00]
+          vcvttpd2dqx 2048(%rdx), %xmm29 {%k6}
+
+// CHECK: vcvttpd2dqx 2048(%rdx), %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x8e,0xe6,0xaa,0x00,0x08,0x00,0x00]
+          vcvttpd2dqx 2048(%rdx), %xmm29 {%k6} {z}
+
 // CHECK: vcvttpd2dqx -2048(%rdx), %xmm29
 // CHECK:  encoding: [0x62,0x61,0xfd,0x08,0xe6,0x6a,0x80]
           vcvttpd2dqx -2048(%rdx), %xmm29
 
+// CHECK: vcvttpd2dqx -2048(%rdx), %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x0e,0xe6,0x6a,0x80]
+          vcvttpd2dqx -2048(%rdx), %xmm29 {%k6}
+
+// CHECK: vcvttpd2dqx -2048(%rdx), %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x8e,0xe6,0x6a,0x80]
+          vcvttpd2dqx -2048(%rdx), %xmm29 {%k6} {z}
+
 // CHECK: vcvttpd2dqx -2064(%rdx), %xmm29
 // CHECK:  encoding: [0x62,0x61,0xfd,0x08,0xe6,0xaa,0xf0,0xf7,0xff,0xff]
           vcvttpd2dqx -2064(%rdx), %xmm29
 
+// CHECK: vcvttpd2dqx -2064(%rdx), %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x0e,0xe6,0xaa,0xf0,0xf7,0xff,0xff]
+          vcvttpd2dqx -2064(%rdx), %xmm29 {%k6}
+
+// CHECK: vcvttpd2dqx -2064(%rdx), %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x8e,0xe6,0xaa,0xf0,0xf7,0xff,0xff]
+          vcvttpd2dqx -2064(%rdx), %xmm29 {%k6} {z}
+
 // CHECK: vcvttpd2dq 1016(%rdx){1to2}, %xmm29
 // CHECK:  encoding: [0x62,0x61,0xfd,0x18,0xe6,0x6a,0x7f]
           vcvttpd2dq 1016(%rdx){1to2}, %xmm29
 
+// CHECK: vcvttpd2dq 1016(%rdx){1to2}, %xmm29
+// CHECK:  encoding: [0x62,0x61,0xfd,0x18,0xe6,0x6a,0x7f]
+          vcvttpd2dqx 1016(%rdx){1to2}, %xmm29
+
+// CHECK: vcvttpd2dq 1016(%rdx){1to2}, %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x1e,0xe6,0x6a,0x7f]
+          vcvttpd2dq 1016(%rdx){1to2}, %xmm29 {%k6}
+
+// CHECK: vcvttpd2dq 1016(%rdx){1to2}, %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x1e,0xe6,0x6a,0x7f]
+          vcvttpd2dqx 1016(%rdx){1to2}, %xmm29 {%k6}
+
+// CHECK: vcvttpd2dq 1016(%rdx){1to2}, %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x9e,0xe6,0x6a,0x7f]
+          vcvttpd2dq 1016(%rdx){1to2}, %xmm29 {%k6} {z}
+
+// CHECK: vcvttpd2dq 1016(%rdx){1to2}, %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x9e,0xe6,0x6a,0x7f]
+          vcvttpd2dqx 1016(%rdx){1to2}, %xmm29 {%k6} {z}
+
 // CHECK: vcvttpd2dq 1024(%rdx){1to2}, %xmm29
 // CHECK:  encoding: [0x62,0x61,0xfd,0x18,0xe6,0xaa,0x00,0x04,0x00,0x00]
           vcvttpd2dq 1024(%rdx){1to2}, %xmm29
 
+// CHECK: vcvttpd2dq 1024(%rdx){1to2}, %xmm29
+// CHECK:  encoding: [0x62,0x61,0xfd,0x18,0xe6,0xaa,0x00,0x04,0x00,0x00]
+          vcvttpd2dqx 1024(%rdx){1to2}, %xmm29
+
+// CHECK: vcvttpd2dq 1024(%rdx){1to2}, %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x1e,0xe6,0xaa,0x00,0x04,0x00,0x00]
+          vcvttpd2dq 1024(%rdx){1to2}, %xmm29 {%k6}
+
+// CHECK: vcvttpd2dq 1024(%rdx){1to2}, %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x1e,0xe6,0xaa,0x00,0x04,0x00,0x00]
+          vcvttpd2dqx 1024(%rdx){1to2}, %xmm29 {%k6}
+
+// CHECK: vcvttpd2dq 1024(%rdx){1to2}, %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x9e,0xe6,0xaa,0x00,0x04,0x00,0x00]
+          vcvttpd2dq 1024(%rdx){1to2}, %xmm29 {%k6} {z}
+
+// CHECK: vcvttpd2dq 1024(%rdx){1to2}, %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x9e,0xe6,0xaa,0x00,0x04,0x00,0x00]
+          vcvttpd2dqx 1024(%rdx){1to2}, %xmm29 {%k6} {z}
+
 // CHECK: vcvttpd2dq -1024(%rdx){1to2}, %xmm29
 // CHECK:  encoding: [0x62,0x61,0xfd,0x18,0xe6,0x6a,0x80]
           vcvttpd2dq -1024(%rdx){1to2}, %xmm29
 
+// CHECK: vcvttpd2dq -1024(%rdx){1to2}, %xmm29
+// CHECK:  encoding: [0x62,0x61,0xfd,0x18,0xe6,0x6a,0x80]
+          vcvttpd2dqx -1024(%rdx){1to2}, %xmm29
+
+// CHECK: vcvttpd2dq -1024(%rdx){1to2}, %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x1e,0xe6,0x6a,0x80]
+          vcvttpd2dq -1024(%rdx){1to2}, %xmm29 {%k6}
+
+// CHECK: vcvttpd2dq -1024(%rdx){1to2}, %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x1e,0xe6,0x6a,0x80]
+          vcvttpd2dqx -1024(%rdx){1to2}, %xmm29 {%k6}
+
+// CHECK: vcvttpd2dq -1024(%rdx){1to2}, %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x9e,0xe6,0x6a,0x80]
+          vcvttpd2dq -1024(%rdx){1to2}, %xmm29 {%k6} {z}
+
+// CHECK: vcvttpd2dq -1024(%rdx){1to2}, %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x9e,0xe6,0x6a,0x80]
+          vcvttpd2dqx -1024(%rdx){1to2}, %xmm29 {%k6} {z}
+
 // CHECK: vcvttpd2dq -1032(%rdx){1to2}, %xmm29
 // CHECK:  encoding: [0x62,0x61,0xfd,0x18,0xe6,0xaa,0xf8,0xfb,0xff,0xff]
           vcvttpd2dq -1032(%rdx){1to2}, %xmm29
 
+// CHECK: vcvttpd2dq -1032(%rdx){1to2}, %xmm29
+// CHECK:  encoding: [0x62,0x61,0xfd,0x18,0xe6,0xaa,0xf8,0xfb,0xff,0xff]
+          vcvttpd2dqx -1032(%rdx){1to2}, %xmm29
+
+// CHECK: vcvttpd2dq -1032(%rdx){1to2}, %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x1e,0xe6,0xaa,0xf8,0xfb,0xff,0xff]
+          vcvttpd2dq -1032(%rdx){1to2}, %xmm29 {%k6}
+
+// CHECK: vcvttpd2dq -1032(%rdx){1to2}, %xmm29 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x1e,0xe6,0xaa,0xf8,0xfb,0xff,0xff]
+          vcvttpd2dqx -1032(%rdx){1to2}, %xmm29 {%k6}
+
+// CHECK: vcvttpd2dq -1032(%rdx){1to2}, %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x9e,0xe6,0xaa,0xf8,0xfb,0xff,0xff]
+          vcvttpd2dq -1032(%rdx){1to2}, %xmm29 {%k6} {z}
+
+// CHECK: vcvttpd2dq -1032(%rdx){1to2}, %xmm29 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x9e,0xe6,0xaa,0xf8,0xfb,0xff,0xff]
+          vcvttpd2dqx -1032(%rdx){1to2}, %xmm29 {%k6} {z}
+
 // CHECK: vcvttpd2dq %ymm29, %xmm30
 // CHECK:  encoding: [0x62,0x01,0xfd,0x28,0xe6,0xf5]
           vcvttpd2dq %ymm29, %xmm30
 
+// CHECK: vcvttpd2dq %ymm29, %xmm30
+// CHECK:  encoding: [0x62,0x01,0xfd,0x28,0xe6,0xf5]
+          vcvttpd2dqy %ymm29, %xmm30
+
 // CHECK: vcvttpd2dq %ymm29, %xmm30 {%k6}
 // CHECK:  encoding: [0x62,0x01,0xfd,0x2e,0xe6,0xf5]
           vcvttpd2dq %ymm29, %xmm30 {%k6}
 
+// CHECK: vcvttpd2dq %ymm29, %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x01,0xfd,0x2e,0xe6,0xf5]
+          vcvttpd2dqy %ymm29, %xmm30 {%k6}
+
 // CHECK: vcvttpd2dq %ymm29, %xmm30 {%k6} {z}
 // CHECK:  encoding: [0x62,0x01,0xfd,0xae,0xe6,0xf5]
           vcvttpd2dq %ymm29, %xmm30 {%k6} {z}
 
+// CHECK: vcvttpd2dq %ymm29, %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x01,0xfd,0xae,0xe6,0xf5]
+          vcvttpd2dqy %ymm29, %xmm30 {%k6} {z}
+
 // CHECK: vcvttpd2dqy (%rcx), %xmm30
 // CHECK:  encoding: [0x62,0x61,0xfd,0x28,0xe6,0x31]
           vcvttpd2dqy (%rcx), %xmm30
 
+// CHECK: vcvttpd2dqy (%rcx), %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x2e,0xe6,0x31]
+          vcvttpd2dqy (%rcx), %xmm30 {%k6}
+
+// CHECK: vcvttpd2dqy (%rcx), %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xae,0xe6,0x31]
+          vcvttpd2dqy (%rcx), %xmm30 {%k6} {z}
+
 // CHECK: vcvttpd2dqy 291(%rax,%r14,8), %xmm30
 // CHECK:  encoding: [0x62,0x21,0xfd,0x28,0xe6,0xb4,0xf0,0x23,0x01,0x00,0x00]
           vcvttpd2dqy 291(%rax,%r14,8), %xmm30
 
+// CHECK: vcvttpd2dqy 291(%rax,%r14,8), %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x21,0xfd,0x2e,0xe6,0xb4,0xf0,0x23,0x01,0x00,0x00]
+          vcvttpd2dqy 291(%rax,%r14,8), %xmm30 {%k6}
+
+// CHECK: vcvttpd2dqy 291(%rax,%r14,8), %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x21,0xfd,0xae,0xe6,0xb4,0xf0,0x23,0x01,0x00,0x00]
+          vcvttpd2dqy 291(%rax,%r14,8), %xmm30 {%k6} {z}
+
 // CHECK: vcvttpd2dq (%rcx){1to4}, %xmm30
 // CHECK:  encoding: [0x62,0x61,0xfd,0x38,0xe6,0x31]
           vcvttpd2dq (%rcx){1to4}, %xmm30
 
+// CHECK: vcvttpd2dq (%rcx){1to4}, %xmm30
+// CHECK:  encoding: [0x62,0x61,0xfd,0x38,0xe6,0x31]
+          vcvttpd2dqy (%rcx){1to4}, %xmm30
+
+// CHECK: vcvttpd2dq (%rcx){1to4}, %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x3e,0xe6,0x31]
+          vcvttpd2dq (%rcx){1to4}, %xmm30 {%k6}
+
+// CHECK: vcvttpd2dq (%rcx){1to4}, %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x3e,0xe6,0x31]
+          vcvttpd2dqy (%rcx){1to4}, %xmm30 {%k6}
+
+// CHECK: vcvttpd2dq (%rcx){1to4}, %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xbe,0xe6,0x31]
+          vcvttpd2dq (%rcx){1to4}, %xmm30 {%k6} {z}
+
+// CHECK: vcvttpd2dq (%rcx){1to4}, %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xbe,0xe6,0x31]
+          vcvttpd2dqy (%rcx){1to4}, %xmm30 {%k6} {z}
+
 // CHECK: vcvttpd2dqy 4064(%rdx), %xmm30
 // CHECK:  encoding: [0x62,0x61,0xfd,0x28,0xe6,0x72,0x7f]
           vcvttpd2dqy 4064(%rdx), %xmm30
 
+// CHECK: vcvttpd2dqy 4064(%rdx), %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x2e,0xe6,0x72,0x7f]
+          vcvttpd2dqy 4064(%rdx), %xmm30 {%k6}
+
+// CHECK: vcvttpd2dqy 4064(%rdx), %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xae,0xe6,0x72,0x7f]
+          vcvttpd2dqy 4064(%rdx), %xmm30 {%k6} {z}
+
 // CHECK: vcvttpd2dqy 4096(%rdx), %xmm30
 // CHECK:  encoding: [0x62,0x61,0xfd,0x28,0xe6,0xb2,0x00,0x10,0x00,0x00]
           vcvttpd2dqy 4096(%rdx), %xmm30
 
+// CHECK: vcvttpd2dqy 4096(%rdx), %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x2e,0xe6,0xb2,0x00,0x10,0x00,0x00]
+          vcvttpd2dqy 4096(%rdx), %xmm30 {%k6}
+
+// CHECK: vcvttpd2dqy 4096(%rdx), %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xae,0xe6,0xb2,0x00,0x10,0x00,0x00]
+          vcvttpd2dqy 4096(%rdx), %xmm30 {%k6} {z}
+
 // CHECK: vcvttpd2dqy -4096(%rdx), %xmm30
 // CHECK:  encoding: [0x62,0x61,0xfd,0x28,0xe6,0x72,0x80]
           vcvttpd2dqy -4096(%rdx), %xmm30
 
+// CHECK: vcvttpd2dqy -4096(%rdx), %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x2e,0xe6,0x72,0x80]
+          vcvttpd2dqy -4096(%rdx), %xmm30 {%k6}
+
+// CHECK: vcvttpd2dqy -4096(%rdx), %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xae,0xe6,0x72,0x80]
+          vcvttpd2dqy -4096(%rdx), %xmm30 {%k6} {z}
+
 // CHECK: vcvttpd2dqy -4128(%rdx), %xmm30
 // CHECK:  encoding: [0x62,0x61,0xfd,0x28,0xe6,0xb2,0xe0,0xef,0xff,0xff]
           vcvttpd2dqy -4128(%rdx), %xmm30
 
+// CHECK: vcvttpd2dqy -4128(%rdx), %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x2e,0xe6,0xb2,0xe0,0xef,0xff,0xff]
+          vcvttpd2dqy -4128(%rdx), %xmm30 {%k6}
+
+// CHECK: vcvttpd2dqy -4128(%rdx), %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xae,0xe6,0xb2,0xe0,0xef,0xff,0xff]
+          vcvttpd2dqy -4128(%rdx), %xmm30 {%k6} {z}
+
 // CHECK: vcvttpd2dq 1016(%rdx){1to4}, %xmm30
 // CHECK:  encoding: [0x62,0x61,0xfd,0x38,0xe6,0x72,0x7f]
           vcvttpd2dq 1016(%rdx){1to4}, %xmm30
 
+// CHECK: vcvttpd2dq 1016(%rdx){1to4}, %xmm30
+// CHECK:  encoding: [0x62,0x61,0xfd,0x38,0xe6,0x72,0x7f]
+          vcvttpd2dqy 1016(%rdx){1to4}, %xmm30
+
+// CHECK: vcvttpd2dq 1016(%rdx){1to4}, %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x3e,0xe6,0x72,0x7f]
+          vcvttpd2dq 1016(%rdx){1to4}, %xmm30 {%k6}
+
+// CHECK: vcvttpd2dq 1016(%rdx){1to4}, %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x3e,0xe6,0x72,0x7f]
+          vcvttpd2dqy 1016(%rdx){1to4}, %xmm30 {%k6}
+
+// CHECK: vcvttpd2dq 1016(%rdx){1to4}, %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xbe,0xe6,0x72,0x7f]
+          vcvttpd2dq 1016(%rdx){1to4}, %xmm30 {%k6} {z}
+
+// CHECK: vcvttpd2dq 1016(%rdx){1to4}, %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xbe,0xe6,0x72,0x7f]
+          vcvttpd2dqy 1016(%rdx){1to4}, %xmm30 {%k6} {z}
+
 // CHECK: vcvttpd2dq 1024(%rdx){1to4}, %xmm30
 // CHECK:  encoding: [0x62,0x61,0xfd,0x38,0xe6,0xb2,0x00,0x04,0x00,0x00]
           vcvttpd2dq 1024(%rdx){1to4}, %xmm30
 
+// CHECK: vcvttpd2dq 1024(%rdx){1to4}, %xmm30
+// CHECK:  encoding: [0x62,0x61,0xfd,0x38,0xe6,0xb2,0x00,0x04,0x00,0x00]
+          vcvttpd2dqy 1024(%rdx){1to4}, %xmm30
+
+// CHECK: vcvttpd2dq 1024(%rdx){1to4}, %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x3e,0xe6,0xb2,0x00,0x04,0x00,0x00]
+          vcvttpd2dq 1024(%rdx){1to4}, %xmm30 {%k6}
+
+// CHECK: vcvttpd2dq 1024(%rdx){1to4}, %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x3e,0xe6,0xb2,0x00,0x04,0x00,0x00]
+          vcvttpd2dqy 1024(%rdx){1to4}, %xmm30 {%k6}
+
+// CHECK: vcvttpd2dq 1024(%rdx){1to4}, %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xbe,0xe6,0xb2,0x00,0x04,0x00,0x00]
+          vcvttpd2dq 1024(%rdx){1to4}, %xmm30 {%k6} {z}
+
+// CHECK: vcvttpd2dq 1024(%rdx){1to4}, %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xbe,0xe6,0xb2,0x00,0x04,0x00,0x00]
+          vcvttpd2dqy 1024(%rdx){1to4}, %xmm30 {%k6} {z}
+
 // CHECK: vcvttpd2dq -1024(%rdx){1to4}, %xmm30
 // CHECK:  encoding: [0x62,0x61,0xfd,0x38,0xe6,0x72,0x80]
           vcvttpd2dq -1024(%rdx){1to4}, %xmm30
 
+// CHECK: vcvttpd2dq -1024(%rdx){1to4}, %xmm30
+// CHECK:  encoding: [0x62,0x61,0xfd,0x38,0xe6,0x72,0x80]
+          vcvttpd2dqy -1024(%rdx){1to4}, %xmm30
+
+// CHECK: vcvttpd2dq -1024(%rdx){1to4}, %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x3e,0xe6,0x72,0x80]
+          vcvttpd2dq -1024(%rdx){1to4}, %xmm30 {%k6}
+
+// CHECK: vcvttpd2dq -1024(%rdx){1to4}, %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x3e,0xe6,0x72,0x80]
+          vcvttpd2dqy -1024(%rdx){1to4}, %xmm30 {%k6}
+
+// CHECK: vcvttpd2dq -1024(%rdx){1to4}, %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xbe,0xe6,0x72,0x80]
+          vcvttpd2dq -1024(%rdx){1to4}, %xmm30 {%k6} {z}
+
+// CHECK: vcvttpd2dq -1024(%rdx){1to4}, %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xbe,0xe6,0x72,0x80]
+          vcvttpd2dqy -1024(%rdx){1to4}, %xmm30 {%k6} {z}
+
 // CHECK: vcvttpd2dq -1032(%rdx){1to4}, %xmm30
 // CHECK:  encoding: [0x62,0x61,0xfd,0x38,0xe6,0xb2,0xf8,0xfb,0xff,0xff]
           vcvttpd2dq -1032(%rdx){1to4}, %xmm30
 
+// CHECK: vcvttpd2dq -1032(%rdx){1to4}, %xmm30
+// CHECK:  encoding: [0x62,0x61,0xfd,0x38,0xe6,0xb2,0xf8,0xfb,0xff,0xff]
+          vcvttpd2dqy -1032(%rdx){1to4}, %xmm30
+
+// CHECK: vcvttpd2dq -1032(%rdx){1to4}, %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x3e,0xe6,0xb2,0xf8,0xfb,0xff,0xff]
+          vcvttpd2dq -1032(%rdx){1to4}, %xmm30 {%k6}
+
+// CHECK: vcvttpd2dq -1032(%rdx){1to4}, %xmm30 {%k6}
+// CHECK:  encoding: [0x62,0x61,0xfd,0x3e,0xe6,0xb2,0xf8,0xfb,0xff,0xff]
+          vcvttpd2dqy -1032(%rdx){1to4}, %xmm30 {%k6}
+
+// CHECK: vcvttpd2dq -1032(%rdx){1to4}, %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xbe,0xe6,0xb2,0xf8,0xfb,0xff,0xff]
+          vcvttpd2dq -1032(%rdx){1to4}, %xmm30 {%k6} {z}
+
+// CHECK: vcvttpd2dq -1032(%rdx){1to4}, %xmm30 {%k6} {z}
+// CHECK:  encoding: [0x62,0x61,0xfd,0xbe,0xe6,0xb2,0xf8,0xfb,0xff,0xff]
+          vcvttpd2dqy -1032(%rdx){1to4}, %xmm30 {%k6} {z}
+
 // CHECK: vcvttps2dq %xmm22, %xmm17
 // CHECK:  encoding: [0x62,0xa1,0x7e,0x08,0x5b,0xce]
           vcvttps2dq %xmm22, %xmm17
